summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/pytest')
-rw-r--r--dev-python/pytest/Manifest1
-rw-r--r--dev-python/pytest/pytest-6.0.2.ebuild62
2 files changed, 63 insertions, 0 deletions
diff --git a/dev-python/pytest/Manifest b/dev-python/pytest/Manifest
index ff78a2af9d1..70f5a48068d 100644
--- a/dev-python/pytest/Manifest
+++ b/dev-python/pytest/Manifest
@@ -1,3 +1,4 @@
DIST pytest-4.6.11.tar.gz 952305 BLAKE2B af07adf5e8fc614b1fdb7b5673fb9c557ff0dd3f22e2f3bf853c643c5c8bd38f307018579299b700d90034a826db73a3e569857d6d6f7ac6646ace894b35a39b SHA512 6fddf4944bd9fab83024aa2d338d54aaf3d164bd5c7f634357376f3b0d2dab6a43d784e7fb567236c2d2f029151c5d9e2cb36c22e9b551c2c8823c52a2246e9c
DIST pytest-5.4.3.tar.gz 1022353 BLAKE2B 70d4f23cbbfc4c4ce63c512ee0a01556973761a6d3ebb71a6d9ed4fb4a4a21531e1b151ed0e4c5e56e5dd3243a1a272441f17c4c2c4e3b0b19c24654b74e8e52 SHA512 0a07d4f4f791969c6f21961a0ba0f8c6670e5870c6cc1cebf93766587bb9cb3e10db8e57f0bd33dd22b275f3aad7aa674949f124ac80e0ccca64e35be4beee4e
DIST pytest-6.0.1.tar.gz 1069631 BLAKE2B 89a78ebf8e8cf968ea767fe7244408ca79d247c1ca459815ac299ce773b44c375429935c8a25b4de26349969113c60e4b6812d5aa2d805691664af74796ea85b SHA512 bdd790c3860da2ed3a3ff47f04512c3bfae4fa1e31fc6b96fc19bd57d1804a6fec968ecf17a11c5b20d30dcf82d6391ef0d893ae57a3da9ad777a15c078c129f
+DIST pytest-6.0.2.tar.gz 1070533 BLAKE2B 54397bdf8255641e1cb0555a78b3687a49376d9cc603a98b6df3415159aef0331cbaa7d0883bafbceea1b2273fc0ba5c867f7b66eef5b2b4c24f3e5196786877 SHA512 478d28c30f4f990dcdd98edcd074051e32d9ab25941c21bdc9c4cc47b726da79b5b3a01572ff97f608598ef6bb9df075ebba49abb2f1420947e0c6d4fe0be9c8
diff --git a/dev-python/pytest/pytest-6.0.2.ebuild b/dev-python/pytest/pytest-6.0.2.ebuild
new file mode 100644
index 00000000000..c9ea210721a
--- /dev/null
+++ b/dev-python/pytest/pytest-6.0.2.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6..9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Simple powerful testing with Python"
+HOMEPAGE="https://pytest.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/attrs-17.4.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib_metadata[${PYTHON_USEDEP}]
+ ' python3_{6,7} pypy3)
+ dev-python/iniconfig[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-4.0.0[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/pluggy-0.12[${PYTHON_USEDEP}]
+ <dev-python/pluggy-1
+ >=dev-python/py-1.8.2[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+"
+# flake cause a number of tests to fail
+DEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/argcomplete[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-3.56[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/xmlschema[${PYTHON_USEDEP}]
+ !!dev-python/flaky
+ )"
+
+python_prepare_all() {
+ # fragile to warnings from other packages (setuptools)
+ # little value for us to run it
+ sed -i -e 's:test_no_warnings:_&:' \
+ testing/test_meta.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ distutils_install_for_testing
+
+ "${EPYTHON}" -m pytest -vv --lsof -rfsxX ||
+ die "Tests failed with ${EPYTHON}"
+}